Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.up.primitives
Enum PrimitiveType

    java.lang.Object
      java.lang.Enum<PrimitiveType>
          org.basex.query.up.primitives.PrimitiveType

All Implemented Interfaces:
  Serializable, Comparable<PrimitiveType>

    public enum PrimitiveType

extends Enum<PrimitiveType>

Update primitive type enumeration.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Lukas Kircher

Enum Constant Summary
`DELETE` Type Delete.
`INSERTAFTER` Type Insert after.
`INSERTATTR` Type Insert attribute.
`INSERTBEFORE` Type Insert before.
`INSERTINTO` Type Insert into AND insert into as last.
`INSERTINTOFI` Type Insert into as first.
`PUT` Type Delete.
`RENAME` Type Rename.
`REPLACEELEMCONT` Type Replace element content.
`REPLACENODE` Type Replace node.
`REPLACEVALUE` Type Replace value.

Method Summary
`static PrimitiveType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrimitiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSERTATTR

    public static final PrimitiveType INSERTATTR

  Type Insert attribute.

### REPLACEVALUE

    public static final PrimitiveType REPLACEVALUE

  Type Replace value.

### RENAME

    public static final PrimitiveType RENAME

  Type Rename.

### INSERTAFTER

    public static final PrimitiveType INSERTAFTER

  Type Insert after.

### INSERTINTOFI

    public static final PrimitiveType INSERTINTOFI

  Type Insert into as first.

### INSERTINTO

    public static final PrimitiveType INSERTINTO

  Type Insert into AND insert into as last.

### REPLACEELEMCONT

    public static final PrimitiveType REPLACEELEMCONT

  Type Replace element content.

### PUT

    public static final PrimitiveType PUT

  Type Delete.

### INSERTBEFORE

    public static final PrimitiveType INSERTBEFORE

  Type Insert before.

### REPLACENODE

    public static final PrimitiveType REPLACENODE

  Type Replace node.

### DELETE

    public static final PrimitiveType DELETE

  Type Delete.

Method Detail

### values

    public static PrimitiveType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PrimitiveType c : PrimitiveType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PrimitiveType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD